package net.hockeyapp.android.objects;

import java.io.Serializable;
import java.util.List;

/**
 * <h3>Description</h3>
 * 
 * Model for feedback messages.
 * 
 * <h3>License</h3>
 * 
 * <pre>
 * Copyright (c) 2011-2014 Bit Stadium GmbH
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 * </pre>
 * 
 * @author Bogdan Nistor
 */
public class FeedbackMessage implements Serializable {
  private static final long serialVersionUID = -8773015828853994624L;
  
  private String subject;
  private String text;
  private String oem;
  private String model;
  private String osVersion;
  private String createdAt;
  private int id;
  private String token;
  private int via;
  private String userString;
  private String cleanText;
  private String name;
  private String appId;
  private List<FeedbackAttachment> feedbackAttachments;
  
  public String getSubjec() {
    return subject;
  }
  
  public void setSubjec(String subjec) {
    this.subject = subjec;
  }
  
  public String getText() {
    return text;
  }
  
  public void setText(String text) {
    this.text = text;
  }
  
  public String getOem() {
    return oem;
  }
  
  public void setOem(String oem) {
    this.oem = oem;
  }
  
  public String getModel() {
    return model;
  }
  
  public void setModel(String model) {
    this.model = model;
  }
  
  public String getOsVersion() {
    return osVersion;
  }
  
  public void setOsVersion(String osVersion) {
    this.osVersion = osVersion;
  }
  
  public String getCreatedAt() {
    return createdAt;
  }
  
  public void setCreatedAt(String createdAt) {
    this.createdAt = createdAt;
  }
  
  public int getId() {
    return id;
  }
  
  public void setId(int id) {
    this.id = id;
  }
  
  public String getToken() {
    return token;
  }
  
  public void setToken(String token) {
    this.token = token;
  }
  
  public int getVia() {
    return via;
  }
  
  public void setVia(int via) {
    this.via = via;
  }
  
  public String getUserString() {
    return userString;
  }
  
  public void setUserString(String userString) {
    this.userString = userString;
  }
  
  public String getCleanText() {
    return cleanText;
  }
  
  public void setCleanText(String cleanText) {
    this.cleanText = cleanText;
  }
  
  public String getName() {
    return name;
  }
  
  public void setName(String name) {
    this.name = name;
  }
  
  public String getAppId() {
    return appId;
  }
  
  public void setAppId(String appId) {
    this.appId = appId;
  }

  public List<FeedbackAttachment> getFeedbackAttachments() { return feedbackAttachments; }

  public void setFeedbackAttachments(List<FeedbackAttachment> feedbackAttachments) { this.feedbackAttachments = feedbackAttachments; }
}
